Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security.jaas
Class SeamLoginModule

    java.lang.Object
      org.jboss.seam.security.jaas.SeamLoginModule

All Implemented Interfaces:
  LoginModule

    public class SeamLoginModule

extends Object
implements LoginModule

Performs authentication using a Seam component

Author:
  Shane Bryzak

Field Summary
`protected CallbackHandler` | `callbackHandler`
`protected Map<String,?>` | `options`
`protected Set<String>` | `roles`
`protected Subject` | `subject`
`protected String` | `username`

Constructor Summary
`SeamLoginModule()`

Method Summary
`boolean` | `abort()`
`boolean` | `commit()`
`void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)`
`boolean` | `login()`
`boolean` | `logout()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### roles

    protected Set<String> roles

### subject

    protected Subject subject

### options

    protected Map<String,?> options

### callbackHandler

    protected CallbackHandler callbackHandler

### username

    protected String username

Constructor Detail

### SeamLoginModule

    public SeamLoginModule()

Method Detail

### abort

    public boolean abort()
                  throws LoginException

  Specified by:
    `abort` in interface `LoginModule`
  Throws:
    `LoginException`

### commit

    public boolean commit()
                   throws LoginException

  Specified by:
    `commit` in interface `LoginModule`
  Throws:
    `LoginException`

### initialize

    public void initialize(Subject subject,
                           CallbackHandler callbackHandler,
                           Map<String,?> sharedState,
                           Map<String,?> options)

  Specified by:
    `initialize` in interface `LoginModule`

### login

    public boolean login()
                  throws LoginException

  Specified by:
    `login` in interface `LoginModule`
  Throws:
    `LoginException`

### logout

    public boolean logout()
                   throws LoginException

  Specified by:
    `logout` in interface `LoginModule`
  Throws:
    `LoginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD